# Support module for external message modification modules

Module Name: | mmexternal
Author: | Rainer Gerhards <rgerhards@adiscon.com>
Available since: | 8.3.0

## Purpose

This module permits to integrate external message modification plugins into rsyslog.

For details on the interface specification, see rsyslog’s source in the ./plugins/external/INTERFACE.md.

## Configuration Parameters

Note

Parameter names are case-insensitive; camelCase is recommended for readability.

### Input Parameters

Parameter | Summary
--- | ---
binary | Specifies the external message modification plugin executable that mmexternal invokes.
interface.input | Selects which message representation mmexternal passes to the external plugin.
output | Writes the external plugin’s standard output and standard error to a helper log file for debugging.
forceSingleInstance | Enforces that only a single instance of the external message modification plugin runs.

## Examples

### Execute external module

The following config file snippet is used to write execute an external message modification module “mmexternal.py”. Note that the path to the module is specified here. This is necessary if the module is not in the default search path.

    module (load="mmexternal") # needs to be done only once inside the config

    action(type="mmexternal" binary="/path/to/mmexternal.py")

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.